## org.apache.catalina.startup
Class ContextConfig.ContextErrorHandler

    java.lang.Object
      org.apache.catalina.startup.ContextConfig.ContextErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  ContextConfig

    protected class ContextConfig.ContextErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Constructor Summary
`protected` `ContextConfig.ContextErrorHandler()`

Method Summary
`void` `error(org.xml.sax.SAXParseException exception)`
`void` `fatalError(org.xml.sax.SAXParseException exception)`
`void` `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextConfig.ContextErrorHandler

    protected ContextConfig.ContextErrorHandler()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException exception)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.